"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _escapeId = _interopRequireDefault(require("./escape-id"));

var _escape = _interopRequireDefault(require("./escape"));

var _pg = require("pg");

var _fullJitter = _interopRequireDefault(require("./full-jitter"));

var _executeStatement = _interopRequireDefault(require("./execute-statement"));

var _connect = _interopRequireDefault(require("./connect"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const configure = (pool, config) => {
  var _config$eventsTableNa, _config$snapshotsTabl, _config$secretsTableN, _config$subscribersTa;

  const createGetConnectPromise = () => {
    let p;
    return () => {
      if (p === undefined) {
        p = (0, _connect.default)(pool);
      }

      return p;
    };
  };

  const props = {
    databaseName: config.databaseName,
    eventsTableName: (_config$eventsTableNa = config.eventsTableName) !== null && _config$eventsTableNa !== void 0 ? _config$eventsTableNa : 'events',
    snapshotsTableName: (_config$snapshotsTabl = config.snapshotsTableName) !== null && _config$snapshotsTabl !== void 0 ? _config$snapshotsTabl : 'snapshots',
    secretsTableName: (_config$secretsTableN = config.secretsTableName) !== null && _config$secretsTableN !== void 0 ? _config$secretsTableN : 'secrets',
    subscribersTableName: (_config$subscribersTa = config.subscribersTableName) !== null && _config$subscribersTa !== void 0 ? _config$subscribersTa : 'subscribers',
    connectionOptions: {
      user: config.user,
      database: config.database,
      port: config.port,
      host: config.host,
      password: config.password
    },
    Postgres: _pg.Client,
    fullJitter: _fullJitter.default,
    escape: _escape.default,
    escapeId: _escapeId.default,
    executeStatement: _executeStatement.default.bind(null, pool),
    createGetConnectPromise,
    getConnectPromise: createGetConnectPromise(),
    extraConnections: new Set(),
    eventLoaders: new Set()
  };
  Object.assign(pool, props);
};

var _default = configure;
exports.default = _default;
//# sourceMappingURL=configure.js.map