"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const setReconnectionMode = (pool, mode) => {
  if (mode.maxReconnectionTimes != null) {
    if (isNaN(+mode.maxReconnectionTimes) || +mode.maxReconnectionTimes < 0) {
      throw new Error(`maxReconnectionTimes must be non-negative number. Got ${mode.maxReconnectionTimes}`);
    }

    pool.maxReconnectionTimes = mode.maxReconnectionTimes;
  }

  if (mode.delayBeforeReconnection != null) {
    if (isNaN(+mode.delayBeforeReconnection) || +mode.delayBeforeReconnection < 0) {
      throw new Error(`delayBeforeReconnection must be non-negative number. Got ${mode.delayBeforeReconnection}`);
    }

    pool.delayBeforeReconnection = mode.delayBeforeReconnection;
  }
};

var _default = setReconnectionMode;
exports.default = _default;
//# sourceMappingURL=set-reconnection-mode.js.map